| Package | Description |
|---|---|
| io.helidon.common.http |
HTTP APIs and implementations usable by both server and client side of the HTTP story.
|
| io.helidon.webserver |
Reactive web server API.
|
| Modifier and Type | Method and Description |
|---|---|
SetCookie |
SetCookie.domain(java.lang.String domain)
Sets
Domain parameter. |
SetCookie |
SetCookie.domainAndPath(java.net.URI domainAndPath)
Sets
Domain and Path parameters. |
SetCookie |
SetCookie.expires(java.time.Instant expires)
Sets
Expires parameter. |
SetCookie |
SetCookie.expires(java.time.ZonedDateTime expires)
Sets
Expires parameter. |
SetCookie |
SetCookie.httpOnly(boolean httpOnly)
Sets
HttpOnly parameter. |
SetCookie |
SetCookie.maxAge(java.time.Duration maxAge)
Sets
Max-Age parameter. |
SetCookie |
SetCookie.path(java.lang.String path)
Sets
Path parameter. |
SetCookie |
SetCookie.secure(boolean secure)
Sets
Secure parameter. |
| Modifier and Type | Method and Description |
|---|---|
void |
ResponseHeaders.addCookie(SetCookie cookie)
Adds
Set-Cookie header specified in RFC6265. |
Copyright © 2018, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.